<?php
namespace Bushelpowered\Api\Grain\Contracts\V1\Request;
        
class GetAllContractsRequest implements \Bushelpowered\Api\Common\RequestsPagination
{
    /** @var string[]|null $ids */
    public ?array $ids = null;
    /** @var string[]|null $accountIds */
    public ?array $accountIds = null;
    /** @var string[]|null $integrationIds */
    public ?array $integrationIds = null;
    /** @var string[]|null $commodityIds */
    public ?array $commodityIds = null;
    public ?bool $includeSoftDeleted = null;
    public ?\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination $pagination = null;

    /**
     * @param  string[]|null  $ids 
     * @param  string[]|null  $accountIds 
     * @param  string[]|null  $integrationIds 
     * @param  string[]|null  $commodityIds 
     */
    public function __construct(?array $ids, ?array $accountIds, ?array $integrationIds, ?array $commodityIds, ?bool $includeSoftDeleted, ?\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination $pagination)
    {
        $this->ids = $ids;
        $this->accountIds = $accountIds;
        $this->integrationIds = $integrationIds;
        $this->commodityIds = $commodityIds;
        $this->includeSoftDeleted = $includeSoftDeleted;
        $this->pagination = $pagination;
    }
    
    public function getPagination(): ?\Bushelpowered\Api\Grain\Contracts\V1\Request\ContractPagination
    {
        return $this->pagination;
    }
}