<?php
namespace Bushelpowered\Api\Payments\V1\Model;
        
class PaymentRaw implements \Bushelpowered\Api\Common\Event\RawRecord, \Bushelpowered\Api\Common\HasSourceTimestamps
{
    public string $tenantId;
    public string $datasourceId;
    public string $integrationId;
    public string $sourceId;
    public string $sourceAccountId;
    public string $accountIntegrationId;
    public ?string $sourceLocationId = null;
    public ?string $locationIntegrationId = null;
    public ?string $sourceCommodityId = null;
    public ?string $commodityIntegrationId = null;
    /** @var string[]|null $sourceSettlementIds */
    public ?array $sourceSettlementIds = null;
    /** @var string[]|null $sourceInvoiceIds */
    public ?array $sourceInvoiceIds = null;
    public ?string $sourceDisplayId = null;
    public float $sourcePaymentAmount;
    public string $sourcePaymentType;
    public string $sourceStatus;
    /** @var null|string $sourcePaymentDate of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourcePaymentDate = null;
    public ?string $sourceCurrency = null;
    public ?string $sourceComments = null;
    /** @var string $sourceUpdatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $sourceUpdatedAt;
    /** @var string $sourceCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $sourceCreatedAt;
    /** @var null|string $sourceDeletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public ?string $sourceDeletedAt = null;

    /**
     * @param  string[]|null  $sourceSettlementIds 
     * @param  string[]|null  $sourceInvoiceIds 
     * @param  null|string  $sourcePaymentDate of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $sourceUpdatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  string  $sourceCreatedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     * @param  null|string  $sourceDeletedAt of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $tenantId, string $datasourceId, string $integrationId, string $sourceId, string $sourceAccountId, string $accountIntegrationId, ?string $sourceLocationId, ?string $locationIntegrationId, ?string $sourceCommodityId, ?string $commodityIntegrationId, ?array $sourceSettlementIds, ?array $sourceInvoiceIds, ?string $sourceDisplayId, float $sourcePaymentAmount, string $sourcePaymentType, string $sourceStatus, ?string $sourcePaymentDate, ?string $sourceCurrency, ?string $sourceComments, string $sourceUpdatedAt, string $sourceCreatedAt, ?string $sourceDeletedAt)
    {
        $this->tenantId = $tenantId;
        $this->datasourceId = $datasourceId;
        $this->integrationId = $integrationId;
        $this->sourceId = $sourceId;
        $this->sourceAccountId = $sourceAccountId;
        $this->accountIntegrationId = $accountIntegrationId;
        $this->sourceLocationId = $sourceLocationId;
        $this->locationIntegrationId = $locationIntegrationId;
        $this->sourceCommodityId = $sourceCommodityId;
        $this->commodityIntegrationId = $commodityIntegrationId;
        $this->sourceSettlementIds = $sourceSettlementIds;
        $this->sourceInvoiceIds = $sourceInvoiceIds;
        $this->sourceDisplayId = $sourceDisplayId;
        $this->sourcePaymentAmount = $sourcePaymentAmount;
        $this->sourcePaymentType = $sourcePaymentType;
        $this->sourceStatus = $sourceStatus;
        $this->sourcePaymentDate = $sourcePaymentDate;
        $this->sourceCurrency = $sourceCurrency;
        $this->sourceComments = $sourceComments;
        $this->sourceUpdatedAt = $sourceUpdatedAt;
        $this->sourceCreatedAt = $sourceCreatedAt;
        $this->sourceDeletedAt = $sourceDeletedAt;
    }
    
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
    public function getDatasourceId(): string
    {
        return $this->datasourceId;
    }
    public function getIntegrationId(): string
    {
        return $this->integrationId;
    }
    public function getSourceId(): string
    {
        return $this->sourceId;
    }
    public function getSourceAccountId(): string
    {
        return $this->sourceAccountId;
    }
    public function getSourceLocationId(): ?string
    {
        return $this->sourceLocationId;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getSourceUpdatedAt(): string
    {
        return $this->sourceUpdatedAt;
    }
    /**
     * @return string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getSourceCreatedAt(): string
    {
        return $this->sourceCreatedAt;
    }
    /**
     * @return null|string of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function getSourceDeletedAt(): ?string
    {
        return $this->sourceDeletedAt;
    }
}